at.chipkarte.client.fus.soap

## Class Formularcodegruppe

- Object
- - at.chipkarte.client.fus.soap.Formularcodegruppe

-     public class Formularcodegruppe
      extends Object

  Dient der Ein- und Ausgabe der Formularcodegruppe.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Formularcodegruppe()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFormularCode()` Eindeutiger Identifikator für eine bestimmte Version eines Formulars.
    `String` | `getFormularCodePrefix()` Eindeutiger, gemeinsamer Identifikator für alle Versionen eines Formulars.
    `String` | `getFormularCodeVersion()` Version eines Formulars.
    `String` | `getFormularKennung()` Eindeutige Kennung in Verbindung mit einer VSNR (alle anderen Formulartypen) beziehungsweise die Eindeutige Kennung eines Formulars (Bei Formulartyp gleich `EKV`, `BKA` und `BKM`).
    `void` | `setFormularCode(String formularCode)`
    `void` | `setFormularCodePrefix(String formularCodePrefix)`
    `void` | `setFormularCodeVersion(String formularCodeVersion)`
    `void` | `setFormularKennung(String formularKennung)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Formularcodegruppe

          public Formularcodegruppe()

  - ### Method Detail

    - #### getFormularCode

          public String getFormularCode()

      Eindeutiger Identifikator für eine bestimmte Version eines Formulars.
      Format: <Formularcode-Prefix (17 bzw. 9 stellig)>_<Formularcode-Version (3-stellig)>
      Angabe: Muss.
      Returns:
        Formularcode.

    - #### setFormularCode

          public void setFormularCode(String formularCode)

    - #### getFormularKennung

          public String getFormularKennung()

      Eindeutige Kennung in Verbindung mit einer VSNR (alle anderen Formulartypen) beziehungsweise die Eindeutige Kennung eines Formulars (Bei Formulartyp gleich `EKV`, `BKA` und `BKM`).
      Angabe: Muss.
      Format: 6-stellig (alle anderen Formulartypen) bzw. 9 stellig (Bei Formulartyp gleich `EKV`, `BKA` und `BKM`)
      Returns:
        FormularKennung.

    - #### setFormularKennung

          public void setFormularKennung(String formularKennung)

    - #### getFormularCodePrefix

          public String getFormularCodePrefix()

      Eindeutiger, gemeinsamer Identifikator für alle Versionen eines Formulars. Setzt sich für Formulare ungleich `EKV`, `BKA` oder `BKM` zusammen aus der "Formular-Kennung" und der "VSNR" des Patienten.
      Für Formulare gleich `EKV`, `BKA` oder `BKM` besteht der FormularCodePrefix nur aus der 9 stelligen Formular-Kennung.
      Format: <Formularcode-Kennung (6-stellig)>_<VSNR (10-stellig)> bzw. <Formularcode-Kennung (9-stellig)>
      Angabe: Muss.
      Returns:
        FormularCodePrefix.

    - #### setFormularCodePrefix

          public void setFormularCodePrefix(String formularCodePrefix)

    - #### getFormularCodeVersion

          public String getFormularCodeVersion()

      Version eines Formulars.
      Hinweis: Immer 3-stellig, left-padded mit "0".
      Angabe: Muss.
      Format: 3-stellig
      Returns:
        FormularCodeVersion.

    - #### setFormularCodeVersion

          public void setFormularCodeVersion(String formularCodeVersion)